Subject: P.S.: Re: mutt/Cygwin locks on some characters?
From: Lester Ingber <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 16 Jul 2003 21:17:05 -0700

mutt -v gives the info below.  Note
SENDMAIL="/usr/sbin/sendmail"
On my most current Cygwin, I see a soft link for sendmail
sendmail -> /usr/sbin/ssmtp

Note that ssmtp is the oldest executable under /usr/sbin:
7408 Apr 12  2001 ssmtp.exe
All other excutables here have dates 2002 or 2003.
Perhaps ssmtp needs to be updated?

Lester

Mutt 1.4i (2002-05-29)
Copyright (C) 1996-2001 Michael R. Elkins and others.
Mutt comes with ABSOLUTELY NO WARRANTY; for details type `mutt -vv'.
Mutt is free software, and you are welcome to redistribute it
under certain conditions; type `mutt -vv' for details.

System: CYGWIN_NT-5.1 1.3.22(0.78/3/2) (i686) [using ncurses 5.2]
Compile options:
-DOMAIN
-DEBUG
-HOMESPOOL  -USE_SETGID  +USE_DOTLOCK  -DL_STANDALONE  
+USE_FCNTL  -USE_FLOCK
+USE_POP  +USE_IMAP  -USE_GSS  +USE_SSL  -USE_SASL  
-HAVE_REGCOMP  +USE_GNU_REGEX  
+HAVE_COLOR  +HAVE_START_COLOR  +HAVE_TYPEAHEAD  +HAVE_BKGDSET  
+HAVE_CURS_SET  +HAVE_META  +HAVE_RESIZETERM  
+HAVE_PGP  +BUFFY_SIZE -EXACT_ADDRESS  -SUN_ATTACHMENT  
+ENABLE_NLS  +LOCALES_HACK  -HAVE_WC_FUNCS  -HAVE_LANGINFO_CODESET  -HAVE_LANGINFO_YESEXPR  
+HAVE_ICONV  -ICONV_NONTRANS  -HAVE_GETSID  -HAVE_GETADDRINFO  
-ISPELL
SENDMAIL="/usr/sbin/sendmail"
MAILPATH="/var/spool/mail"
PKGDATADIR="/usr/share/mutt"
SYSCONFDIR="/etc"
EXECSHELL="/bin/sh"
-MIXMASTER
To contact the developers, please mail to <[email-masked]>.
To report a bug, please use the flea(1) utility.

      +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
I managed to capture an error message relating to the mutt failure below:

assertion "errno == E2BIG || (BUGGY_ICONV && (errno == EILSEQ || errno == ENOENT))" failed: file "../mutt-1.4-1/sendlib.c", line 743

Lester

      +=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
I haven't seen this problem before.  I'm using all the latest Current
Cygwin packages under XP Professional.

I have an email to which I simply wish to reply.  When I try "r" in mutt,
mutt stalls/locks up when it tries to include the original email, and I
have to kill the process.  When I save the email to a file, I find that
the problem is imply that the person's name has an accent, e.g.
xxxé yyyy
If I edit this to
xxxe yyyy
then the return in mutt (using mutt -f file, etc.) works just fine.

Now, the same email under FreeBSD, using Mutt 1.2.5.1i, on another
machine, works just fine with the original email.

...

In fact, I cannot even send this email from Cygwin.  I had to upload it
to my FreeBSD machine to send it.

Lester

-- 
 Prof. Lester Ingber  [email-masked]  [email-masked]
 www.ingber.com                     www.alumni.caltech.edu/~ingber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/